______________________________________________________________________________

FITS2MEF 1.0                                               (c)2010 R.A. Jansen

Usage: fits2mef <mef_name> <orig_name> <file_with_inputs> [options]

FITS2MEF writes a Multi-Extension FITS (MEF) file that is acceptable as input
to 'calstis' from a series of individual flat FITS files, that were extracted
from an original STIS data set and from which the Side-2 herring-bone pattern
noise was removed (oXXXXXXXX_rwc_*.fits).  The primary header unit of the MEF
file  will include a new calibration swith "HPATCORR", before "DQICORR", with
as value 'COMPLETE'. Each extension header in the MEF file will include a new
keyword "HPATPARS" with value:  "freq=XXXXX Hz, width=XXXXX Hz, pmax=XXXXXX"
(with the X's replaced with the measured floating point values). This program
uses routines from the 'rjgen' and 'rjfits' libraries.

The mandatory command-line arguments are:
  <mef_name>
        the name of the output MEF file to write (including a directory path)
  <orig_name>
        the name of the original STIS data set (MEF file; including path)

The only command-line options are:
  -h, --help
        print this manual page.
  -d, --debug (this option may be doubled: "-d -d" or "-dd")
        turn on diagnostic messaging (program will become very verbose!).

Examples:
    fits2mef -h                         	      - prints this man page.
    fits2mef DVD/o69539020_raw.fits ORIG/o69539020_raw.fits o69539020.inp
    fits2mef DVD/o69539020_raw.fits ORIG/o69539020_raw.fits o69539020.inp -d
where the final example produces the same result as the 2nd one, but verbose.
______________________________________________________________________________
